<?php
/**
 * Horizontal scrolling announcements
 *
 * @package     Horizontal scrolling announcements
 * @subpackage  mod_horizontal_scrolling_announcements
 * @version   	4.0
 * @author    	Gopi Ramasamy
 * @copyright   Copyright (C) 2010 - 2021 www.gopiplus.com. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 *
 * http://www.gopiplus.com/extensions/2018/02/horizontal-scrolling-announcements-joomla-module/
 */

defined('_JEXEC') or die;

use Joomla\CMS\Helper\ModuleHelper;
use Joomla\Module\HorizontalScrollingAnnouncements\Site\Helper\HorizontalScrollingAnnouncementsHelper;

$modbase 	= JURI::base(true).'/modules/mod_horizontal_scrolling_announcements/';
$document 	= JFactory::getDocument();
$hsa_jquery = $params->get("hsa_jquery","NO");
if($hsa_jquery == "YES")	
{
	$document->addScript ($modbase.'script/jquery.min.js');
}
$document->addScript ($modbase.'script/jquery.marquee.min.js');

$items = HorizontalScrollingAnnouncementsHelper::getAnnouncementsInfo($params);

require ModuleHelper::getLayoutPath('mod_horizontal_scrolling_announcements', $params->get('layout', 'default'));